Description

It's actually kind of important that we provide a way for the user to link to either the publication itself (PDF etc) or at least an external
page which might provide it.  It feels decidedly wrong that we should have a list of publications that essentially goes nowhere -- you'd
have to go off and search again to get a publication out of it.

History
#1 - 2011-09-07 12:47 PM - Luis Figueira

I agree. Should we provide a way for the user to upload the PDF to our server?

#2 - 2011-09-07 02:19 PM - Chris Cannam

I would say the most important thing is to allow the provision of an external URL -- that gives the user more flexibility, they could link to a self-hosted
PDF or to a page on some publications database site or to Jstor or even to a PDF hosted as a download at this very site.  That also has the advantage
of being very simple to implement!

Allowing an upload of the actual PDF -- as an attachment object in Redmine presumably -- would be desirable but we might be able to get away with it
for the first cut.  If it's very easy to do, then perhaps?

#3 - 2011-09-09 03:54 PM - Chris Cannam

Testing external URL as of commit:d2a371616088, it looks OK to me.

We should probably "assign this to bibliography beta" or something for an actual PDF upload, but for the moment this is a good start.

#4 - 2012-11-13 06:12 PM - Chris Cannam
- Status changed from New to Closed

Let's stick with what we have now here. I think it's fine.
